Package org.zkoss.zul

## Class GanttModel

- java.lang.Object
- - org.zkoss.zul.AbstractChartModel
  - - org.zkoss.zul.GanttModel

- All Implemented Interfaces:
    `java.io.Serializable`, `ChartModel`

      public class GanttModel
      extends AbstractChartModel

  A data model for Gantt chart.
  Since:
    3.5.0
  Author:
    henrichen
  See Also:
    `GanttModel.GanttTask`, `Chart`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GanttModel.GanttTask` | A Task in an operation series; a helper class used in `GanttModel`.

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zul.AbstractChartModel

      `_listeners`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GanttModel()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(java.lang.Comparable<?> series, GanttModel.GanttTask task)` |
    `java.lang.Object` | `clone()` |
    `java.lang.Comparable<?>[]` | `getAllSeries()` | Return all series of this GanttModel.
    `GanttModel.GanttTask[]` | `getTasks​(java.lang.Comparable<?> series)` |
    `void` | `removeValue​(java.lang.Comparable<?> series, GanttModel.GanttTask task)` |

    - ### Methods inherited from class org.zkoss.zul.AbstractChartModel

      `addChartDataListener, fireEvent, removeChartDataListener`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GanttModel

          public GanttModel()

  - ### Method Detail

    - #### addValue

          public void addValue​(java.lang.Comparable<?> series,
                               GanttModel.GanttTask task)

    - #### removeValue

          public void removeValue​(java.lang.Comparable<?> series,
                                  GanttModel.GanttTask task)

    - #### getAllSeries

          public java.lang.Comparable<?>[] getAllSeries()

      Return all series of this GanttModel.
      Returns:
        all series of this GanttModel.

    - #### getTasks

          public GanttModel.GanttTask[] getTasks​(java.lang.Comparable<?> series)

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `AbstractChartModel`